From 3b10acf50850aef8870bc8dd0aba89952ff87a86 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jun 26 2024 01:04:54 +0000
Subject: [PATCH 200/220] Remove git-core dep, add hicolor-icon-theme dep


Also use wildcard for cosmic-settings icons too

Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 4fd9298..abf0b1f 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -59,6 +59,8 @@ BuildRequires:  wayland-devel
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
 
+Requires:       hicolor-icon-theme
+
 %global _description %{expand:
 %{summary}.}
 
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index e27bbe5..ffba568 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -65,6 +65,7 @@ BuildRequires:  just
 
 Requires:       cosmic-icons
 Requires:       cosmic-panel
+Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index ee91933..2994065 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -50,6 +50,7 @@ BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
 
 Requires:       cosmic-session
+Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 71bd965..0541b7b 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -62,7 +62,7 @@ BuildRequires:  cargo
 BuildRequires:  just
 BuildRequires:  libxkbcommon-devel
 
-BuildRequires:  git-core
+Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 86ae2a2..4ec237f 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -62,10 +62,9 @@ BuildRequires:  just
 BuildRequires:  glib2-devel
 BuildRequires:  libxkbcommon-devel
 
-BuildRequires:  git-core
-
 Requires:       gvfs
 Requires:       xdg-utils
+Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 8caa0f4..8bbf4c2 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -63,6 +63,7 @@ BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
 
 Requires:       pop-launcher
+Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 0cf044a..f7ef813 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -57,6 +57,8 @@ BuildRequires:  wayland-devel
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
 
+Requires:       hicolor-icon-theme
+
 %global _description %{expand:
 %{summary}.}
 
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 3d1c5bf..b29c480 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -62,6 +62,8 @@ BuildRequires:  libxkbcommon-devel
 BuildRequires:  systemd-devel
 BuildRequires:  just
 
+Requires:       hicolor-icon-theme
+
 %global _description %{expand:
 %{summary}.}
 
@@ -132,13 +134,7 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicSe
 %{_datadir}/icons/hicolor/scalable/status/illustration-appearance-light-style-square.svg
 %{_datadir}/icons/hicolor/scalable/status/illustration-appearance-mode-dark.svg
 %{_datadir}/icons/hicolor/scalable/status/illustration-appearance-mode-light.svg
-%{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicSettings.svg
-%{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicSettings.svg
-%{_datadir}/icons/hicolor/24x24/apps/com.system76.CosmicSettings.svg
-%{_datadir}/icons/hicolor/256x256/apps/com.system76.CosmicSettings.svg
-%{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicSettings.svg
-%{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicSettings.svg
-%{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicSettings.svg
+%{_datadir}/icons/hicolor/*/apps/com.system76.CosmicSettings.svg
 %{_datadir}/applications/com.system76.CosmicSettings.About.desktop
 %{_datadir}/applications/com.system76.CosmicSettings.Appearance.desktop
 %{_datadir}/applications/com.system76.CosmicSettings.DateTime.desktop
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 1446697..6d642a7 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -61,6 +61,7 @@ BuildRequires:  libxkbcommon-devel
 
 Requires:       PackageKit
 Requires:       flatpak-libs
+Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index bd092bd..0fdcd63 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -61,7 +61,7 @@ BuildRequires:  cargo
 BuildRequires:  just
 BuildRequires:  libxkbcommon-devel
 
-BuildRequires:  git-core
+Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index d54d767..d0ee73f 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -66,6 +66,7 @@ BuildRequires:  mesa-libgbm-devel
 BuildRequires:  make
 
 Requires:       cosmic-comp
+Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 9bc4b28..cc8c576 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -66,6 +66,8 @@ BuildRequires:  gstreamer1-devel
 BuildRequires:  glib2-devel
 BuildRequires:  just
 
+Requires:       hicolor-icon-theme
+
 %global _description %{expand:
 %{summary}.}
 

